<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:paddingHorizontal="@dimen/dp_16"
    tools:context=".ui.fragment.subscribe.CreditCardPaymentFragment">

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_CreditCard_Payment_choose"
        style="@style/my_TextView_style_v2"
        android:text="@string/txt_my_card"
        android:textSize="@dimen/textSize16"
        android:textStyle="bold"
        android:visibility="gone" />

    <com.abbidot.tracker.widget.TypefaceRoundButton
        android:id="@+id/btn_credit_card_payment_add"
        style="@style/my_QMUIRoundButton_very_small_style"
        android:layout_alignParentEnd="true"
        android:text="@string/txt_add_new"
        android:textColor="@color/btn_color"
        android:visibility="gone"
        app:qmui_borderColor="@color/btn_color"
        app:qmui_borderWidth="@dimen/dp_1"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_make_payment_credit_card"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_alignParentBottom="true"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:text="@string/txt_make_payment"
        android:visibility="gone"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />

    <include
        android:id="@+id/il_credit_card_payment_no_data"
        layout="@layout/layout_credit_card_no_data"
        android:visibility="gone" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_credit_card_payment_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/btn_make_payment_credit_card"
        android:layout_below="@id/btn_credit_card_payment_add"
        android:layout_marginTop="@dimen/dp_12"
        android:visibility="gone" />
</RelativeLayout>